## mingw-w64-itk-5.4.0-2.src.tar.zst

=== Modules/IO/TransformMatlab/CMakeLists.txt ===
project(ITKIOTransformMatlab)
set(ITKIOTransformMatlab_LIBRARIES ITKIOTransformMatlab)
itk_module_impl()
