=== Modules/Filtering/LabelMap/test/CMakeLists.txt ===
itk_module_test()
set(ITKLabelMapTests
    itkAggregateLabelMapFilterTest.cxx
    itkAttributeKeepNObjectsLabelMapFilterTest1.cxx
    itkAttributeLabelObjectAccessorsTest1.cxx
    itkAttributeOpeningLabelMapFilterTest1.cxx
    itkAttributePositionLabelMapFilterTest1.cxx
    itkAttributeRelabelLabelMapFilterTest1.cxx
    itkAttributeUniqueLabelMapFilterTest1.cxx
    itkAutoCropLabelMapFilterTest1.cxx
    itkAutoCropLabelMapFilterTest2.cxx
    itkBinaryFillholeImageFilterTest1.cxx
    itkBinaryGrindPeakImageFilterTest1.cxx
    itkBinaryImageToLabelMapFilterTest.cxx
    itkBinaryImageToLabelMapFilterTest2.cxx
    itkBinaryImageToShapeLabelMapFilterTest1.cxx
    itkBinaryImageToStatisticsLabelMapFilterTest1.cxx
    itkBinaryNotImageFilterTest.cxx
    itkBinaryReconstructionByDilationImageFilterTest.cxx
    itkBinaryReconstructionByErosionImageFilterTest.cxx
    itkBinaryReconstructionLabelMapFilterTest.cxx
    itkBinaryShapeKeepNObjectsImageFilterTest1.cxx
    itkBinaryShapeOpeningImageFilterTest1.cxx
    itkBinaryStatisticsKeepNObjectsImageFilterTest1.cxx
    itkBinaryStatisticsOpeningImageFilterTest1.cxx
    itkChangeLabelLabelMapFilterTest.cxx
    itkChangeRegionLabelMapFilterTest1.cxx
    itkConvertLabelMapFilterTest1.cxx
    itkConvertLabelMapFilterTest2.cxx
    itkCropLabelMapFilterTest1.cxx
    itkLabelImageToLabelMapFilterTest.cxx
    itkLabelImageToShapeLabelMapFilterTest1.cxx
    itkLabelImageToStatisticsLabelMapFilterTest1.cxx
    itkLabelMapFilterTest.cxx
    itkLabelMapMaskImageFilterTest.cxx
    itkLabelMapTest.cxx
    itkLabelMapTest2.cxx
    itkLabelMapToAttributeImageFilterTest1.cxx
    itkLabelMapToBinaryImageFilterTest.cxx
    itkLabelMapToLabelImageFilterTest.cxx
    itkLabelObjectLineComparatorTest.cxx
    itkLabelObjectLineTest.cxx
    itkLabelObjectTest.cxx
    itkLabelSelectionLabelMapFilterTest.cxx
    itkLabelShapeKeepNObjectsImageFilterTest1.cxx
    itkLabelShapeOpeningImageFilterTest1.cxx
    itkLabelStatisticsKeepNObjectsImageFilterTest1.cxx
    itkLabelStatisticsOpeningImageFilterTest1.cxx
    itkLabelUniqueLabelMapFilterTest1.cxx
    itkMergeLabelMapFilterTest1.cxx
    itkObjectByObjectLabelMapFilterTest.cxx
    itkPadLabelMapFilterTest1.cxx
    itkRegionFromReferenceLabelMapFilterTest1.cxx
    itkRelabelLabelMapFilterTest1.cxx
    itkShapeKeepNObjectsLabelMapFilterTest1.cxx
    itkShapeLabelObjectAccessorsTest1.cxx
    itkShapeOpeningLabelMapFilterTest1.cxx
    itkShapePositionLabelMapFilterTest1.cxx
    itkShapeRelabelImageFilterTest1.cxx
    itkShapeRelabelLabelMapFilterTest1.cxx
    itkShapeUniqueLabelMapFilterTest1.cxx
    itkShiftLabelObjectTest.cxx
    itkShiftScaleLabelMapFilterTest1.cxx
    itkStatisticsKeepNObjectsLabelMapFilterTest1.cxx
    itkStatisticsOpeningLabelMapFilterTest1.cxx
    itkStatisticsPositionLabelMapFilterTest1.cxx
    itkStatisticsRelabelImageFilterTest1.cxx
    itkStatisticsRelabelLabelMapFilterTest1.cxx
    itkStatisticsUniqueLabelMapFilterTest1.cxx)

createtestdriver(ITKLabelMap "${ITKLabelMap-Test_LIBRARIES}" "${ITKLabelMapTests}")

itk_add_test(
  NAME
  itkShiftLabelObjectTest
  COMMAND
  ITKLabelMapTestDriver
  itkShiftLabelObjectTest)
itk_add_test(
  NAME
  itkAggregateLabelMapFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/cthead1-labelAggregate.mha}
  ${ITK_TEST_OUTPUT_DIR}/cthead1-labelAggregate.mha
  itkAggregateLabelMapFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1Label.png}
  ${ITK_TEST_OUTPUT_DIR}/cthead1-labelAggregate.mha)
itk_add_test(
  NAME
  itkAttributeKeepNObjectsLabelMapFilterTest0
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkAttributeKeepNObjectsLabelMapFilterTest0.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeKeepNObjectsLabelMapFilterTest0.png
  itkAttributeKeepNObjectsLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/cthead1Label.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeKeepNObjectsLabelMapFilterTest0.png
  2
  0)
itk_add_test(
  NAME
  itkAttributeKeepNObjectsLabelMapFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkAttributeKeepNObjectsLabelMapFilterTest1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeKeepNObjectsLabelMapFilterTest1.png
  itkAttributeKeepNObjectsLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/cthead1Label.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeKeepNObjectsLabelMapFilterTest1.png
  2
  1)
itk_add_test(
  NAME
  itkAttributeLabelObjectAccessorsTest1
  COMMAND
  ITKLabelMapTestDriver
  itkAttributeLabelObjectAccessorsTest1
  DATA{${ITK_DATA_ROOT}/Input/cthead1Label.png}
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png})
itk_add_test(
  NAME
  itkAttributeOpeningLabelMapFilterTest0
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkAttributeOpeningLabelMapFilterTest0.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeOpeningLabelMapFilterTest0.png
  itkAttributeOpeningLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/cthead1Label.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeOpeningLabelMapFilterTest0.png
  2
  0)
itk_add_test(
  NAME
  itkAttributeOpeningLabelMapFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkAttributeOpeningLabelMapFilterTest1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeOpeningLabelMapFilterTest1.png
  itkAttributeOpeningLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/cthead1Label.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeOpeningLabelMapFilterTest1.png
  2
  1)
itk_add_test(
  NAME
  itkAttributePositionLabelMapFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkAttributePositionLabelMapFilterTest1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributePositionLabelMapFilterTest1.png
  itkAttributePositionLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/SpotsLabeled.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributePositionLabelMapFilterTest1.png)
itk_add_test(
  NAME
  itkAttributeRelabelLabelMapFilterTest0
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkAttributeRelabelLabelMapFilterTest0.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeRelabelLabelMapFilterTest0.png
  itkAttributeRelabelLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/cthead1Label.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeRelabelLabelMapFilterTest0.png
  0)
itk_add_test(
  NAME
  itkAttributeRelabelLabelMapFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkAttributeRelabelLabelMapFilterTest1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeRelabelLabelMapFilterTest1.png
  itkAttributeRelabelLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/cthead1Label.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeRelabelLabelMapFilterTest1.png
  1)
itk_add_test(
  NAME
  itkAttributeUniqueLabelMapFilterTest0
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkAttributeUniqueLabelMapFilterTest0.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeUniqueLabelMapFilterTest0.png
  itkAttributeUniqueLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/SpotsLabeled.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeUniqueLabelMapFilterTest0.png
  0)
itk_add_test(
  NAME
  itkAttributeUniqueLabelMapFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkAttributeUniqueLabelMapFilterTest1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeUniqueLabelMapFilterTest1.png
  itkAttributeUniqueLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/SpotsLabeled.png}
  ${ITK_TEST_OUTPUT_DIR}/itkAttributeUniqueLabelMapFilterTest1.png
  1)
itk_add_test(
  NAME
  itkAutoCropLabelMapFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/cthead1-label-autocrop.mha}
  ${ITK_TEST_OUTPUT_DIR}/cthead1-label-autocrop.mha
  itkAutoCropLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/cthead1Label.png}
  ${ITK_TEST_OUTPUT_DIR}/cthead1-label-autocrop.mha
  176
  4
  4)
itk_add_test(
  NAME
  itkBinaryFillholeImageFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkBinaryFillholeImageFilterTest1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryFillholeImageFilterTest1.png
  itkBinaryFillholeImageFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/Spots.png}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryFillholeImageFilterTest1.png
  1
  255)
itk_add_test(
  NAME
  itkBinaryFillholeImageFilterTest3D_0
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/fillhole_test_3D_0.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryFillholeImageFilterTest3D_0.nrrd
  itkBinaryFillholeImageFilterTest1
  DATA{Input/fillhole_test_3D.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryFillholeImageFilterTest3D_0.nrrd
  0
  1)
itk_add_test(
  NAME
  itkBinaryFillholeImageFilterTest3D_1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/fillhole_test_3D_1.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryFillholeImageFilterTest3D_1.nrrd
  itkBinaryFillholeImageFilterTest1
  DATA{Input/fillhole_test_3D.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryFillholeImageFilterTest3D_1.nrrd
  1
  1)
itk_add_test(
  NAME
  itkBinaryGrindPeakImageFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkBinaryGrindPeakImageFilterTest1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryGrindPeakImageFilterTest1.png
  itkBinaryGrindPeakImageFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/SpotsInverted.png}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryGrindPeakImageFilterTest1.png
  1
  255
  0)
itk_add_test(
  NAME
  itkBinaryGrindPeakImageFilterTest2
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/itkBinaryGrindPeakImageFilterTest2.png}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryGrindPeakImageFilterTest2.png
  itkBinaryGrindPeakImageFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/SpotsInverted.png}
  ${ITK_TEST_OUTPUT_DIR}/itkBinaryGrindPeakImageFilterTest2.png
  0
  255
  0)
itk_add_test(
  NAME
  itkBinaryImageToLabelMapFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/cthead1-labeled.mha}
  ${ITK_TEST_OUTPUT_DIR}/cthead1-labeled.mha
  itkBinaryImageToLabelMapFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1-mask.png}
  ${ITK_TEST_OUTPUT_DIR}/cthead1-labeled.mha
  1
  255
  0
  0)
itk_add_test(
  NAME
  itkBinaryImageToLabelMapFilterTest2
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/connected0lines-0.png}
  ${ITK_TEST_OUTPUT_DIR}/connected0lines-0.png
  itkBinaryImageToLabelMapFilterTest
  DATA{${ITK_DATA_ROOT}/Input/connected0lines.png}
  ${ITK_TEST_OUTPUT_DIR}/connected0lines-0.png
  0
  255
  0
  0)
itk_add_test(
  NAME
  itkBinaryImageToLabelMapFilterTest3
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/connected0lines-1.png}
  ${ITK_TEST_OUTPUT_DIR}/connected0lines-1.png
  itkBinaryImageToLabelMapFilterTest
  DATA{${ITK_DATA_ROOT}/Input/connected0lines.png}
  ${ITK_TEST_OUTPUT_DIR}/connected0lines-1.png
  1
  255
  0
  0)
itk_add_test(
  NAME
  itkBinaryImageToLabelMapFilterTest4
  COMMAND
  ITKLabelMapTestDriver
  itkBinaryImageToLabelMapFilterTest
  DATA{${ITK_DATA_ROOT}/Input/289.png}
  ${ITK_TEST_OUTPUT_DIR}/tooManyObjects.png
  0
  255
  0
  1)
itk_add_test(
  NAME
  itkBinaryImageToLabelMapFilterTest5
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/nonConnected3DLines-0.tif}
  ${ITK_TEST_OUTPUT_DIR}/nonConnected3DLines-0.tif
  itkBinaryImageToLabelMapFilterTest
  DATA{${ITK_DATA_ROOT}/Input/nonConnected3DLines.tif}
  ${ITK_TEST_OUTPUT_DIR}/nonConnected3DLines-0.tif
  0
  255
  0
  0)
itk_add_test(
  NAME
  itkBinaryImageToLabelMapFilterTest6
  COMMAND
  ITKLabelMapTestDriver
  itkBinaryImageToLabelMapFilterTest2
  DATA{${ITK_DATA_ROOT}/Input/BinaryImage1Row.bmp}
  ${ITK_TEST_OUTPUT_DIR}/LabelImage1Row.bmp
  255
  0
  2)
itk_add_test(
  NAME
  itkBinaryImageToLabelMapFilterTest7
  COMMAND
  ITKLabelMapTestDriver
  itkBinaryImageToLabelMapFilterTest2
  DATA{${ITK_DATA_ROOT}/Input/BinaryImage1Row.bmp}
  ${ITK_TEST_OUTPUT_DIR}/LabelImage1Row.bmp
  255
  0
  1)
itk_add_test(
  NAME
  itkBinaryImageToShapeLabelMapFilterTest1
  COMMAND
  ITKLabelMapTestDriver
  --compare
  DATA{Baseline/Spots-binaryimage-to-shapelabel.mha}
  ${ITK_TEST_OUTPUT_DIR}/Spots-binaryimage-to-shapelabel.mha
  itkBinaryImageToShapeLabelMapFilterTest1
  DATA{${ITK_DATA_ROOT}/Input/Spots.png}
