=== Modules/Filtering/Thresholding/test/CMakeLists.txt ===
itk_module_test()
set(ITKThresholdingTests
    itkBinaryThresholdImageFilterTest2.cxx
    itkBinaryThresholdImageFilterTest.cxx
    itkBinaryThresholdProjectionImageFilterTest.cxx
    itkBinaryThresholdSpatialFunctionTest.cxx
    itkHuangThresholdImageFilterTest.cxx
    itkIntermodesThresholdImageFilterTest.cxx
    itkIsoDataThresholdImageFilterTest.cxx
    itkKittlerIllingworthThresholdImageFilterTest.cxx
    itkLiThresholdImageFilterTest.cxx
    itkMaximumEntropyThresholdImageFilterTest.cxx
    itkMomentsThresholdImageFilterTest.cxx
    itkOtsuMultipleThresholdsCalculatorTest.cxx
    itkOtsuMultipleThresholdsCalculatorTest2.cxx
    itkOtsuMultipleThresholdsImageFilterTest.cxx
    #itkOtsuThresholdCalculatorVersusOtsuMultipleThresholdsCalculatorTest.cxx
    itkOtsuThresholdCalculatorTest.cxx
    itkOtsuThresholdImageFilterTest.cxx
    itkRenyiEntropyThresholdImageFilterTest.cxx
    itkShanbhagThresholdImageFilterTest.cxx
    itkThresholdImageFilterTest.cxx
    itkThresholdLabelerImageFilterTest.cxx
    itkTriangleThresholdImageFilterTest.cxx
    itkYenThresholdImageFilterTest.cxx
    itkHuangMaskedThresholdImageFilterTest.cxx
    itkIntermodesMaskedThresholdImageFilterTest.cxx
    itkIsoDataMaskedThresholdImageFilterTest.cxx
    itkKittlerIllingworthMaskedThresholdImageFilterTest.cxx
    itkLiMaskedThresholdImageFilterTest.cxx
    itkMaximumEntropyMaskedThresholdImageFilterTest.cxx
    itkMomentsMaskedThresholdImageFilterTest.cxx
    itkOtsuMaskedThresholdImageFilterTest.cxx
    itkRenyiEntropyMaskedThresholdImageFilterTest.cxx
    itkShanbhagMaskedThresholdImageFilterTest.cxx
    itkTriangleMaskedThresholdImageFilterTest.cxx
    itkYenMaskedThresholdImageFilterTest.cxx
    itkKappaSigmaThresholdImageCalculatorTest.cxx
    itkKappaSigmaThresholdImageFilterTest.cxx)

createtestdriver(ITKThresholding "${ITKThresholding-Test_LIBRARIES}" "${ITKThresholdingTests}")

itk_add_test(
  NAME
  itkOtsuThresholdCalculatorTest
  COMMAND
  ITKThresholdingTestDriver
  itkOtsuThresholdCalculatorTest)

itk_add_test(
  NAME
  itkOtsuMultipleThresholdsImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkOtsuMultipleThresholdsImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkOtsuMultipleThresholdsImageFilterTest.png
  itkOtsuMultipleThresholdsImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/peppers.png}
  ${ITK_TEST_OUTPUT_DIR}/itkOtsuMultipleThresholdsImageFilterTest.png
  64
  3
  2
  0
  1)

itk_add_test(
  NAME
  itkThresholdLabelerImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  itkThresholdLabelerImageFilterTest)
itk_add_test(
  NAME
  itkBinaryThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  itkBinaryThresholdImageFilterTest)
itk_add_test(
  NAME
  itkThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  itkThresholdImageFilterTest)
itk_add_test(
  NAME
  itkOtsuMultipleThresholdsCalculatorTest1
  COMMAND
  ITKThresholdingTestDriver
  itkOtsuMultipleThresholdsCalculatorTest
  0
  0)
itk_add_test(
  NAME
  itkOtsuMultipleThresholdsCalculatorTest2
  COMMAND
  ITKThresholdingTestDriver
  itkOtsuMultipleThresholdsCalculatorTest
  1
  0)
itk_add_test(
  NAME
  itkBinaryThresholdImageFilterTest2
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Baseline/BasicFilters/BinaryThresholdImageFilterTest2.png}
  ${ITK_TEST_OUTPUT_DIR}/BinaryThresholdImageFilterTest2.png
  itkBinaryThresholdImageFilterTest2
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  DATA{${ITK_DATA_ROOT}/Input/DicomSeries/Image0076.dcm}
  ${ITK_TEST_OUTPUT_DIR}/BinaryThresholdImageFilterTest2.png)
itk_add_test(
  NAME
  itkBinaryThresholdProjectionImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Baseline/BasicFilters/HeadMRVolumeBinaryThresholdProjection.png}
  ${ITK_TEST_OUTPUT_DIR}/HeadMRVolumeBinaryThresholdProjection.png
  itkBinaryThresholdProjectionImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/HeadMRVolumeBinaryThresholdProjection.png
  100
  255
  0)
itk_add_test(
  NAME
  itkBinaryThresholdSpatialFunctionTest
  COMMAND
  ITKThresholdingTestDriver
  itkBinaryThresholdSpatialFunctionTest)

itk_add_test(
  NAME
  itkHuangThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkHuangThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkHuangThresholdImageFilterTest.png
  itkHuangThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkHuangThresholdImageFilterTest.png
  256
  1
  19)
itk_add_test(
  NAME
  itkHuangThresholdImageFilterTestNoAutoMinMax
  COMMAND
  ITKThresholdingTestDriver
  --compare-MD5
  DATA{Baseline/itkHuangThresholdImageFilterTestNoAutoMinMax.png}
  fdcefb74090f63114d811e92f0f5836b
  itkHuangThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkHuangThresholdImageFilterTestNoAutoMinMax.png
  32
  0
  -31744)

itk_add_test(
  NAME
  itkHuangMaskedThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkHuangMaskedThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkHuangMaskedThresholdImageFilterTest.png
  itkHuangMaskedThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  DATA{${ITK_DATA_ROOT}/Input/cthead1-threshmask.png}
  ${ITK_TEST_OUTPUT_DIR}/itkHuangMaskedThresholdImageFilterTest.png
  1
  255
  239)

itk_add_test(
  NAME
  itkIntermodesThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkIntermodesThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIntermodesThresholdImageFilterTest.png
  itkIntermodesThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIntermodesThresholdImageFilterTest.png
  256
  1
  1000
  1
  76)
itk_add_test(
  NAME
  itkIntermodesThresholdImageFilterTestNoInterMode
  COMMAND
  ITKThresholdingTestDriver
  --compare-MD5
  DATA{Baseline/itkIntermodesThresholdImageFilterTestNoInterMode.png}
  eed45f177050894e50ec1be5bc6bd4fa
  itkIntermodesThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIntermodesThresholdImageFilterTestNoInterMode.png
  32
  1
  2000
  0
  75)
#itk_add_test(NAME itkIntermodesThresholdImageFilterTestNoAutoMinMax
#      COMMAND ITKThresholdingTestDriver
#    --compare-MD5 DATA{Baseline/itkIntermodesThresholdImageFilterTestNoAutoMinMax.png}
#              eed45f177050894e50ec1be5bc6bd4fa
#    itkIntermodesThresholdImageFilterTest DATA{${ITK_DATA_ROOT}/Input/cthead1.png} ${ITK_TEST_OUTPUT_DIR}/itkIntermodesThresholdImageFilterTestNoAutoMinMax.png 32 0 400000 0 19)

itk_add_test(
  NAME
  itkIntermodesMaskedThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkIntermodesMaskedThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIntermodesMaskedThresholdImageFilterTest.png
  itkIntermodesMaskedThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  DATA{${ITK_DATA_ROOT}/Input/cthead1-threshmask.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIntermodesMaskedThresholdImageFilterTest.png
  1
  255
  1000
  1
  97)

itk_add_test(
  NAME
  itkIsoDataThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkIsoDataThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIsoDataThresholdImageFilterTest.png
  itkIsoDataThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIsoDataThresholdImageFilterTest.png
  256
  1
  85)
itk_add_test(
  NAME
  itkIsoDataThresholdImageFilterTestNoAutoMinMax
  COMMAND
  ITKThresholdingTestDriver
  --compare-MD5
  DATA{Baseline/itkIsoDataThresholdImageFilterTestNoAutoMinMax.png}
  9f844fd120ff49a7812e329a1b0216d8
  itkIsoDataThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIsoDataThresholdImageFilterTestNoAutoMinMax.png
  32
  0
  1023)

itk_add_test(
  NAME
  itkIsoDataMaskedThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkIsoDataMaskedThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIsoDataMaskedThresholdImageFilterTest.png
  itkIsoDataMaskedThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  DATA{${ITK_DATA_ROOT}/Input/cthead1-threshmask.png}
  ${ITK_TEST_OUTPUT_DIR}/itkIsoDataMaskedThresholdImageFilterTest.png
  1
  255
  114)

itk_add_test(
  NAME
  itkKittlerIllingworthThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkKittlerIllingworthThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkKittlerIllingworthThresholdImageFilterTest.png
  itkKittlerIllingworthThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkKittlerIllingworthThresholdImageFilterTest.png
  256
  1
  32)
itk_add_test(
  NAME
  itkKittlerIllingworthThresholdImageFilterTestNoAutoMinMax
  COMMAND
  ITKThresholdingTestDriver
  --compare-MD5
  DATA{Baseline/itkKittlerIllingworthThresholdImageFilterTestNoAutoMinMax.png}
  ecb99e6ffea7be1e5419350f725da86b
  itkKittlerIllingworthThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkKittlerIllingworthThresholdImageFilterTestNoAutoMinMax.png
  32
  0
  1023)

itk_add_test(
  NAME
  itkKittlerIllingworthMaskedThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkKittlerIllingworthMaskedThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkKittlerIllingworthMaskedThresholdImageFilterTest.png
  itkKittlerIllingworthMaskedThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  DATA{${ITK_DATA_ROOT}/Input/cthead1-threshmask.png}
  ${ITK_TEST_OUTPUT_DIR}/itkKittlerIllingworthMaskedThresholdImageFilterTest.png
  1
  255
  254)

itk_add_test(
  NAME
  itkLiThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkLiThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkLiThresholdImageFilterTest.png
  itkLiThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkLiThresholdImageFilterTest.png
  256
  1
  54)
itk_add_test(
  NAME
  itkLiThresholdImageFilterTestNoAutoMinMax
  COMMAND
  ITKThresholdingTestDriver
  --compare-MD5
  DATA{Baseline/itkLiThresholdImageFilterTestNoAutoMinMax.png}
  ecb99e6ffea7be1e5419350f725da86b
  itkLiThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkLiThresholdImageFilterTestNoAutoMinMax.png
  32
  0
  1023)

itk_add_test(
  NAME
  itkLiMaskedThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkLiMaskedThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkLiMaskedThresholdImageFilterTest.png
  itkLiMaskedThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  DATA{${ITK_DATA_ROOT}/Input/cthead1-threshmask.png}
  ${ITK_TEST_OUTPUT_DIR}/itkLiMaskedThresholdImageFilterTest.png
  1
  255
  177)

itk_add_test(
  NAME
  itkMaximumEntropyThresholdImageFilterTest
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkMaximumEntropyThresholdImageFilterTest.png}
  ${ITK_TEST_OUTPUT_DIR}/itkMaximumEntropyThresholdImageFilterTest.png
  itkMaximumEntropyThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkMaximumEntropyThresholdImageFilterTest.png
  256
  1
  140)
itk_add_test(
  NAME
  itkMaximumEntropyThresholdImageFilterTestNoAutoMinMax
  COMMAND
  ITKThresholdingTestDriver
  --compare
  DATA{Baseline/itkMaximumEntropyThresholdImageFilterTestNoAutoMinMax.png}
  ${ITK_TEST_OUTPUT_DIR}/itkMaximumEntropyThresholdImageFilterTestNoAutoMinMax.png
  itkMaximumEntropyThresholdImageFilterTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkMaximumEntropyThresholdImageFilterTestNoAutoMinMax.png
  32
  0
  -31744)

itk_add_test(
  NAME
