=== Modules/IO/ImageBase/test/CMakeLists.txt ===
itk_module_test()
set(ITKIOImageBaseTests
    itkConvertBufferTest.cxx
    itkConvertBufferTest2.cxx
    itkImageFileReaderTest1.cxx
    itkImageFileWriterTest.cxx
    itkIOCommonTest.cxx
    itkIOCommonTest2.cxx
    itkNumericSeriesFileNamesTest.cxx
    itkRegularExpressionSeriesFileNamesTest.cxx
    itkArchetypeSeriesFileNamesTest.cxx
    itkLargeImageWriteConvertReadTest.cxx
    itkLargeImageWriteReadTest.cxx
    itkImageFileReaderDimensionsTest.cxx
    itkImageFileReaderPositiveSpacingTest.cxx
    itkImageFileReaderStreamingTest.cxx
    itkImageFileReaderStreamingTest2.cxx
    itkImageFileWriterPastingTest1.cxx
    itkImageFileWriterPastingTest2.cxx
    itkImageFileWriterPastingTest3.cxx
    itkImageFileWriterStreamingPastingCompressingTest1.cxx
    itkImageFileWriterStreamingTest1.cxx
    itkImageFileWriterStreamingTest2.cxx
    itkImageFileWriterTest2.cxx
    itkImageFileWriterUpdateLargestPossibleRegionTest.cxx
    itkImageIOBaseTest.cxx
    itkImageIODirection2DTest.cxx
    itkImageIODirection3DTest.cxx
    itkImageIOFileNameExtensionsTests.cxx
    itkImageSeriesReaderDimensionsTest.cxx
    itkImageSeriesReaderSamplingTest.cxx
    itkImageSeriesReaderVectorTest.cxx
    itkImageSeriesWriterTest.cxx
    itkIOPluginTest.cxx
    itkNoiseImageFilterTest.cxx
    itkMatrixImageWriteReadTest.cxx
    itkReadWriteImageWithDictionaryTest.cxx
    itkVectorImageReadWriteTest.cxx
    itk64bitTest.cxx
    itkImageFileReaderManyComponentVectorTest.cxx)

createtestdriver(ITKIOImageBase "${ITKIOImageBase-Test_LIBRARIES}" "${ITKIOImageBaseTests}")
itk_add_test(
  NAME
  itkArchetypeSeriesFileNamesTest
  COMMAND
  ITKIOImageBaseTestDriver
  itkArchetypeSeriesFileNamesTest
  DATA{${ITK_DATA_ROOT}/Input/Archetype/a5b7.PNG,REGEX:a[0-9]b[0-9]\\.PNG}
  DATA{${ITK_DATA_ROOT}/Input/Archetype/a7b1.PNG})
itk_add_test(
  NAME
  itkArchetypeSeriesFileNamesTest2
  COMMAND
  ITKIOImageBaseTestDriver
  itkArchetypeSeriesFileNamesTest
  DATA{${ITK_DATA_ROOT}/Input/Archetype/image.001,REGEX:image\\.[0-9]+}
  DATA{${ITK_DATA_ROOT}/Input/Archetype/image.010})
itk_add_test(
  NAME
  itkConvertBufferTest
  COMMAND
  ITKIOImageBaseTestDriver
  itkConvertBufferTest)
itk_add_test(
  NAME
  itkConvertBufferTest2
  COMMAND
  ITKIOImageBaseTestDriver
  itkConvertBufferTest2)
itk_add_test(
  NAME
  itkImageFileReaderTest1
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileReaderTest1)
itk_add_test(
  NAME
  itkImageFileWriterTest
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterTest
  ${ITK_TEST_OUTPUT_DIR}/test.png)
itk_add_test(
  NAME
  itkIOCommonTest
  COMMAND
  ITKIOImageBaseTestDriver
  itkIOCommonTest)
itk_add_test(
  NAME
  itkIOCommonTest2
  COMMAND
  ITKIOImageBaseTestDriver
  itkIOCommonTest2)
itk_add_test(
  NAME
  itkNumericSeriesFileNamesTest
  COMMAND
  ITKIOImageBaseTestDriver
  itkNumericSeriesFileNamesTest)
itk_add_test(
  NAME
  itk64bitTestNRRDtoMHA
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{Input/Test64bit.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit.mha
  itk64bitTest
  DATA{Input/Test64bit.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit.mha)
itk_add_test(
  NAME
  itk64bitTestMHAtoNRRD
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{Input/Test64bit.mha}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit.nrrd
  itk64bitTest
  DATA{Input/Test64bit.mha}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit.nrrd)
itk_add_test(
  NAME
  itk64bitTestNRRDtoMHA2
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{Input/Test64bit.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit2.mha
  itk64bitTest
  DATA{Input/Test64bit.mha}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit2.mha)
itk_add_test(
  NAME
  itk64bitTestNRRDtoNIFTI
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{Input/Test64bit.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit.nii
  itk64bitTest
  DATA{Input/Test64bit.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit.nii)
itk_add_test(
  NAME
  itk64bitTestNRRDtoVTK
  COMMAND
  ITKIOImageBaseTestDriver
  --ignoreInputInformation
  --compare
  DATA{Input/Test64bit.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit.vtk
  itk64bitTest
  DATA{Input/Test64bit.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/Test64bit.vtk)

itk_add_test(
  NAME
  itkRegularExpressionSeriesFileNamesTest
  COMMAND
  ITKIOImageBaseTestDriver
  --redirectOutput
  ${ITK_TEST_OUTPUT_DIR}/itkRegularExpressionSeriesFileNamesTest.txt
  itkRegularExpressionSeriesFileNamesTest
  ${ITK_DATA_ROOT}/Input)
set_tests_properties(
  itkRegularExpressionSeriesFileNamesTest PROPERTIES ATTACHED_FILES_ON_FAIL
                                                     ${ITK_TEST_OUTPUT_DIR}/itkRegularExpressionSeriesFileNamesTest.txt)

itk_add_test(
  NAME
  itkImageFileReaderDimensionsTest_MHD
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileReaderDimensionsTest
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha}
  ${ITK_TEST_OUTPUT_DIR}
  mha)
itk_add_test(
  NAME
  itkImageFileReaderDimensionsTest_NRRD
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileReaderDimensionsTest
  DATA{${ITK_DATA_ROOT}/Input/vol-ascii.nrrd}
  ${ITK_TEST_OUTPUT_DIR}
  nrrd)
itk_add_test(
  NAME
  itkImageFileReaderStreamingTest_1
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileReaderStreamingTest
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  1
  0)
itk_add_test(
  NAME
  itkImageFileReaderStreamingTest_2
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileReaderStreamingTest
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  0
  1)
itk_add_test(
  NAME
  itkImageFileReaderStreamingTest_3
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileReaderStreamingTest
  DATA{${ITK_DATA_ROOT}/Input/vol-ascii.nrrd}
  0
  0)
itk_add_test(
  NAME
  itkImageFileReaderStreamingTest2_MHD
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileReaderStreamingTest2
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw})
itk_add_test(
  NAME
  itkImageFileWriterPastingTest1
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Baseline/IO/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterPastingTest1_01.mha
  itkImageFileWriterPastingTest1
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterPastingTest1_01.mha)
itk_add_test(
  NAME
  itkImageFileWriterPastingTest2_5
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterPastingTest2
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterPastingTest2_5.mha)
itk_add_test(
  NAME
  itkImageFileWriterPastingTest2_6
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Baseline/IO/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterPastingTest2_6.mha
  itkImageFileWriterPastingTest2
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterPastingTest2_6.mha
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha})
itk_add_test(
  NAME
  itkImageFileWriterPastingTest2_7
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterPastingTest2
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterPastingTest2_7.mha
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolumeCompressed.mha})
itk_add_test(
  NAME
  itkImageFileWriterPastingTest3
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterPastingTest3
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterPastingTest3_01.mha)
itk_add_test(
  NAME
  itkImageFileWriterStreamingPastingCompressingTest_MHA
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterStreamingPastingCompressingTest1
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreamingPastingCompressingTest
  mha
  0
  0
  0
  1
  0
  0
  0
  1)
itk_add_test(
  NAME
  itkImageFileWriterStreamingPastingCompressingTest_NRRD
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterStreamingPastingCompressingTest1
  DATA{${ITK_DATA_ROOT}/Input/vol-ascii.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreamingPastingCompressingTest
  nrrd
  0
  0
  1
  1
  0
  0
  1
  1)
itk_add_test(
  NAME
  itkImageFileWriterStreamingPastingCompressingTest_NHDR
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterStreamingPastingCompressingTest1
  DATA{${ITK_DATA_ROOT}/Input/vol-ascii.nrrd}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreamingPastingCompressingTest
  nhdr
  0
  0
  1
  1
  0
  0
  1
  1)
itk_add_test(
  NAME
  itkImageFileWriterStreamingPastingCompressingTest_VTK
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreamingPastingCompressingTest000.vtk
  itkImageFileWriterStreamingPastingCompressingTest1
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreamingPastingCompressingTest
  vtk
  0
  0
  0
  0
  0
  0
  0
  0)

# JIRA ITK182
# This test has been disabled due to the above bug. It should be
# enabled when it is resolved and to confirm the above test is
# working.
#
#itk_add_test(NAME itkImageFileWriterStreamingPastingCompressingTest_DCM
#      COMMAND ITKIOImageBaseTestDriver itkImageFileWriterStreamingPastingCompressingTest1
#              DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mhd,HeadMRVolume.raw} ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreamingPastingCompressingTest dcm 0 0 1 1 0 0 1 1)
itk_add_test(
  NAME
  itkImageFileWriterStreamingTest1_1
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Baseline/IO/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreaming1_1.mha
  itkImageFileWriterStreamingTest1
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreaming1_1.mha)
itk_add_test(
  NAME
  itkImageFileWriterStreamingTest1_2
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Baseline/IO/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreaming1_2.mha
  itkImageFileWriterStreamingTest1
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreaming1_2.mha
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolumeCompressed.mha}
  0)
itk_add_test(
  NAME
  itkImageFileWriterStreamingTest1_3
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Baseline/IO/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreaming1_3.mha
  itkImageFileWriterStreamingTest1
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreaming1_3.mha
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha}
  1)
itk_add_test(
  NAME
  itkImageFileWriterStreamingTest2_4
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Baseline/IO/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreaming2_4.mha
  itkImageFileWriterStreamingTest2
  DATA{${ITK_DATA_ROOT}/Input/HeadMRVolume.mha}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterStreaming2_4.mha)
itk_add_test(
  NAME
  itkImageFileWriterTest2_1
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterTest2
  ${ITK_TEST_OUTPUT_DIR}/test.nrrd)
itk_add_test(
  NAME
  itkImageFileWriterTest2_2
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterTest2
  ${ITK_TEST_OUTPUT_DIR}/test.mha)
itk_add_test(
  NAME
  itkImageFileWriterTest2_3
  COMMAND
  ITKIOImageBaseTestDriver
  itkImageFileWriterTest2
  ${ITK_TEST_OUTPUT_DIR}/test.vtk)
itk_add_test(
  NAME
  itkImageFileWriterUpdateLargestPossibleRegionTest
  COMMAND
  ITKIOImageBaseTestDriver
  --compare
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterUpdateLargestPossibleRegionTest.png
  itkImageFileWriterUpdateLargestPossibleRegionTest
  DATA{${ITK_DATA_ROOT}/Input/cthead1.png}
  ${ITK_TEST_OUTPUT_DIR}/itkImageFileWriterUpdateLargestPossibleRegionTest.png)
itk_add_test(
  NAME
  itkImageIOBaseTest
  COMMAND
  ITKIOImageBaseTestDriver
